PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Member Functions | List of all members
PAsyncNotifierCallback Struct Referenceabstract

`#include <notifier_ext.h>`

Inheritance diagram for PAsyncNotifierCallback:
[legend]

## Public Member Functions
virtual | ~PAsyncNotifierCallback ()
virtual void | Call ()=0

## Static Public Member Functions
static void | Queue (PNotifierIdentifer id, PAsyncNotifierCallback *callback)

## Constructor & Destructor Documentation

virtual PAsyncNotifierCallback::~PAsyncNotifierCallback | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void PAsyncNotifierCallback::Call | ( |  | ) |
| pure virtual

Implemented in PAsyncNotifierFunction< ParamType >::TypedCallback< Target >.

static void PAsyncNotifierCallback::Queue | ( | PNotifierIdentifer | id,
|  | PAsyncNotifierCallback * | callback
| ) |  |
| static

The documentation for this struct was generated from the following file:

- notifier_ext.h